darkice(1)

NAME
darkice - an icecast / shoutcast live audio streamer

SYNOPSIS
darkice [options] -c config.file

DESCRIPTION

DarkIce is an IceCast , IceCast2 and ShoutCast live audio streamer. It takes audio input from a sound card, encodes it into mp3 and/or Ogg Vorbis, and sends the streams to one or more IceCast , ShoutCast and/or IceCast2 servers. DarkIce uses POSIX real-time scheduling to keep up with sound card input. POSIX real-time scheduling is only available if the program is run as root. Therefore it is recommended that DarkIce is run as root. DarkIce uses the Lame mp3 encoder as a library to encode audio intput to mp3, and uses the Ogg Vorbis library to encode into Ogg Vorbis.

OPTIONS

-c config.file
    Specifies what configuration file to use.

-v n
    Sets the verbosity level, between 0 and 10. 0 is silent, 10 is loud. Defaults to 1.

-h  Prints the help page and exits.

BUGS

Lots of bugs.

SEE ALSO
darkice.cfg(5)

AUTHOR
Akos Maroy <darkeye@users.sourceforge.net>

ACKNOWLEDGEMENTS
Developed with contributions by
    Jim Crilly, <JCrilly@MSA.com>
    aNa|0Gue, <analogue@glop.org>
    Robin P. Blanchard, <Robin_Blanchard@gactr.uga.edu>
    Tom Gray, <tomg@future-i.com>
    Michael Smith, <msmith@labyrinth.net.au>
    Julius O. Smith, <jos@ccrma.stanford.edu>
    the OSALP team, http://osalp.sourceforge.net
    Kristjan G. Bjarnason <kgb@gangverk.is>
    Nicu Pavel <npavel@ituner.com>
    Kai Krakow <kai@kaishome.de>
    Atsuhiko Yamanaka <ymnk@jcraft.com>
    Ricardo Galli <gallir@uib.es>
    John Hay <jhay@icomtek.csir.co.za>

LINKS
Project homepage: http://darkice.sourceforge.net/ IceCast homepage: http://www.icecast.org/ ShoutCast homepage: http://www.shoutcast.com/ Lame homepage: http://www.mp3dev.org/mp3/ Ogg Vorbis homepage: http://www.xiph.org/ogg/vorbis/